DOVEADM-SAVE(1)

NAME
doveadm-save - Save email to a user's mailbox

SYNOPSIS

doveadm [GLOBAL OPTIONS] save [-S socket_path] -A [-m mailbox] [-U uid] [-g guid] [-r received-date] [mail-file]

doveadm [GLOBAL OPTIONS] save [-S socket_path] -F file [-m mailbox] [-U uid] [-g guid] [-r received-date] [mail-file]

doveadm [GLOBAL OPTIONS] save [-S socket_path] --no-userdb-lookup [-m mailbox] [-U uid] [-g guid] [-r received-date] [mail-file]

doveadm [GLOBAL OPTIONS] save [-S socket_path] -u user [-m mailbox] [-U uid] [-g guid] [-r received-date] [mail-file]

DESCRIPTION

doveadm save can be used to save messages. This can be useful for scripts and for debugging. Sieve is not invoked for saved messages, but quota is enforced.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

OPTIONS

-A

        If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

        When the SQL userdb module is used, make sure that the userdb_sql_iterate_query setting setting matches your database layout.

        When using the LDAP userdb module, make sure that the userdb_fields setting and userdb_ldap_iterate_fields setting settings match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file

        Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

--no-userdb-lookup

        Do not perform userdb lookup. Use the USER environment variable to specify the username.

-S socket_path

        The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

        This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask

        Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).

-m mailbox

        Store mail to specified mailbox instead of INBOX.

-U uid

        Save the mail using the given UID, if possible.

-g guid

        Save the mail using the given GUID.

-r received-date

        Save the mail using the given received-date timestamp. This is in the "human timestamp" format as described by doveadm-search-query(7).

ARGUMENTS

mail-file

        The message data to save.

            •   If mail-file is -, the message is read from stdin (default).

            •   Otherwise, mail-file resolves as a file path.

EXAMPLE

    echo "hello, world" | doveadm save -u testuser@testdomain

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)